Skip to main content
POST
/
api
/
sol
/
create
curl --request POST \ --url https://public.raze.bot/api/sol/create \ --header 'Content-Type: application/json' \ --data ' { "platform": "pumpfun", "wallets": [ { "address": "62ThHC1rs2GUfa8J4Qjcj5GD2MSL2d65pcJtenNieDnm", "amount": 0.5 }, { "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "amount": 0.2 } ], "token": { "name": "My Token", "symbol": "MTK", "imageUrl": "https://example.com/image.png", "description": "A great token" }, "jitoTipAmountSOL": 0.001 } '
{
  "success": true,
  "platform": "<string>",
  "mint": "<string>",
  "poolAddress": "<string>",
  "isAdvancedMode": true,
  "transactions": [
    "<string>"
  ],
  "stages": [
    {}
  ]
}

Body

application/json
platform
enum<string>
required
Available options:
pumpfun,
bonk,
meteoraDBC,
meteoraCPAMM
wallets
object[]
required

First wallet is the deployer/owner

Minimum array length: 1
token
object
required
jitoTipAmountSOL
number
default:0.001
encoding
enum<string>
default:base58
Available options:
base58,
base64
pumpType
boolean
default:false

Pump.fun mayhem mode

cashBack
boolean
default:false

Pump.fun cashback mode

bonkType
enum<string>
default:standard

Bonk token type

Available options:
standard,
bonkers
configAddress
string

Meteora config PDA address (uses platform default if omitted)

initialLiquiditySOL
number
default:1

Initial liquidity in SOL (meteoraCPAMM only)

initialTokenPercent
number
default:80

Percentage of supply in initial LP (meteoraCPAMM only)

Required range: 1 <= x <= 100

Response

Token deployment transactions generated

success
boolean
Example:

true

platform
string
mint
string

Token mint address

poolAddress
string

Pool address (bonk, meteoraDBC, meteoraCPAMM)

isAdvancedMode
boolean
transactions
string[]

Present in standard mode

stages
object[]

Present in advanced/staged mode